[tool.poetry]
name = "fw-gear-dcm2niix"
version = "1.4.1"
description = "A Flywheel Gear for implementing Chris Rorden's dcm2niix for converting DICOM (or PAR/REC) to NIfTI (or NRRD), with an optional implementation of Poldrack Lab's PyDeface to remove facial structures from NIfTI."
authors = ["Flywheel <support@flywheel.io>"]
readme = "README.md"
license = "Other"
keywords = [
    "Flywheel",
    "Gears"
]
repository = "https://gitlab.com/flywheel-io/flywheel-apps/dcm2niix"
classifiers = [
    "Topic :: Scientific/Engineering"
]

[tool.poetry.dependencies]
python = "^3.9"
flywheel-gear-toolkit = "^0.1.3"
nibabel = "~3.1.0"
nipype = "~1.5.0"
numpy = ">=1.13"
pydeface = "~2.0.0"
pydicom = "~2.0.0"

[tool.poetry.dev-dependencies]
pre-commit = "^2.16.0"
pytest = "^6.1.2"
pytest-cov = "^2.10.1"
pytest-mock = "^3.3.1"
coverage = {extras = ["toml"], version = "^5.3"}
black = "^20.8b1"
isort = "^5.6.4"
pylint = "^2.6.0"
pycodestyle = "^2.6.0"
pydocstyle = "^5.1.1"
mypy = "^0.790"
ipython = "^7.22.0"

[build-system]
requires = ["poetry>=0.12"]
build-backend = "poetry.core.masonry.api"
